#
# spec file for package NetworkManager-novellvpn
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           NetworkManager-novellvpn
Summary:        NetworkManager VPN support for Turnpike
License:        GPL-2.0+
Group:          Productivity/Networking/System
Version:        0.9.0.r29
Release:        23.2
Url:            http://www.gnome.org/projects/NetworkManager
Source0:        %{name}-%{version}.tar.bz2
Source1:        gnome-mime-application-x-novellvpn-settings.png
Patch0:         nm-novellvpn-desktop.patch
Patch1:         nm-novellvpn-toplevel.patch
Patch2:         nm-novellvpn-glib2_31.patch
Patch3:         nm-nvpn-libnl3.patch
Patch4:         NetworkManager-novellvpn-0.9.0-fix-bashisms.patch
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(NetworkManager)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(libnm-glib)
BuildRequires:  pkgconfig(libnm-util)
BuildRequires:  pkgconfig(libxml-2.0)
Requires:       %{name}-frontend
Requires:       NetworkManager > 0.8.2
Requires:       novell-ipsec-tools >= 0.7
Requires:       novell-nortelplugins >= 0.1.4
Requires:       turnpike >= 0.1.2
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NetworkManager-novellvpn provides VPN support to NetworkManager for
Turnpike.

With NetworkManager-novellvpn, NetworkManager could configure and
connect the IPSec based VPN Server, such as Nortel's VPN Server(also
need novell-nortelplugins package).

The NetworkManager will make use of the 'nvpn' tool(turnpike) to
communicate with 'racoon'(novell-ipsec-tools) for connecting to IPSec
based VPN Server.

%package gnome
Summary:        NetworkManager VPN support for Turnpike
Group:          Productivity/Networking/System
Provides:       %{name}-frontend
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-gnome > 0.8.2

%description gnome
NetworkManager-novellvpn-gnome is GNOME-based front-end of
NetworkManager-novellvpn. It provides interface for configuring Novell
related VPN in NetworkManager.

%lang_package
%prep
#'
%setup -n %{name}-0.9.0 -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
cp -a %{S:1} nm-novellvpn-settings.png
# Call translation-update-upstream after patching - LCN should include strings in patches.
translation-update-upstream

%build
autoreconf -fiv
%configure --disable-static

%__make %{?_smp_flags}

%install
%makeinstall
%find_lang %{name}
find %{buildroot}%{_libdir} -name '*.la' -delete -print
install -D nm-novellvpn-settings.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/nm-novellvpn-settings.png

%post gnome
%icon_theme_cache_post

%postun gnome
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc README
%dir %{_sysconfdir}/NetworkManager
%dir %{_sysconfdir}/NetworkManager/VPN
%config %{_sysconfdir}/NetworkManager/VPN/nm-novellvpn-service.name
%config %{_sysconfdir}/dbus-1/system.d/nm-novellvpn-service.conf
%{_libexecdir}/nm-novellvpn-service
%{_libexecdir}/nm-novellvpn-service-novellvpn-helper
%{_libexecdir}/nm_novellvpn_racoon_launcher.sh

%files lang -f %{name}.lang

%files gnome
%defattr(-,root,root,-)
%{_libdir}/NetworkManager/libnm-novellvpn-properties.so*
%{_libexecdir}/nm-novellvpn-auth-dialog
%{_datadir}/applications/nm-novellvpn.desktop
%dir %{_datadir}/gnome-vpn-properties
%dir %{_datadir}/gnome-vpn-properties/novellvpn
%{_datadir}/gnome-vpn-properties/novellvpn/nm-novellvpn-dialog.ui
%{_datadir}/icons/hicolor/*/*/*.png

%changelog
* Sun Nov 16 2014 Led <ledest@gmail.com>
- fix bashisms in nm_novellvpn_racoon_launcher.sh script
  with NetworkManager-novellvpn-0.9.0-fix-bashisms.patch
* Wed May 28 2014 crrodriguez@opensuse.org
- nm-nvpn-libnl3.patch port to libnl3 so libnl1 can go away.
* Sun Feb  5 2012 dimstar@opensuse.org
- Add nm-novellvpn-glib2_31.patch: Fix build with glib 2.31. Only
  glib.h can now be #include'd.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Aug 31 2011 glin@suse.com
- Add nm-novellvpn-toplevel.patch to fix dialog crash after
  pressing the "Advanced" button
* Sat Jun 25 2011 binli@opensuse.org
-  Upgrade to 0.9.0.r29 from upstream.
  * Support for GTK3.0 and NM 0.9.
* Fri Feb 18 2011 sbrabec@suse.cz
- Translations migrated to translation-update-upstream.
- Created lang package.
- Merged patches from SLE11 SP1.
* Tue Feb 15 2011 ro@suse.de
- hack to build with current NetworkManager
* Fri Jul 16 2010 bili@novell.com
- Use the dhgroup and pfsgroup default value when not set in
  advanced dialog(bnc#622854).
* Thu Feb 25 2010 dimstar@opensuse.org
- Add NetworkManager-novellvpn-nm08.patch to fix build against
  NetworkManager 0.8.
* Wed Mar 25 2009 bili@suse.de
- Add advanced dialog for optional parameters(bnc#482451).
- Support the import and export features for nvpn
  and vpnlogin(bnc#449009).
* Tue Feb 17 2009 bili@suse.de
- Fixed D-bus policy permission checking(bnc#476286).
* Tue Feb  3 2009 bili@suse.de
- Add no-split-tunnel feature (bnc#456088).
* Sat Jan 24 2009 bili@suse.de
- D-bus policy checking (bnc#468380).
* Thu Jan  8 2009 mauro@suse.de 
- Translations update.
* Sat Dec  6 2008 mauro@suse.de
- Translations update.
* Tue Nov 11 2008 jpr@suse.de
- Add missing 'r' to NM requires version string (bnc#443740)
* Mon Nov 10 2008 bili@suse.de
- Support the password for x509 certificate method(bnc#442368).
* Fri Nov  7 2008 bili@suse.de
- Update for setting accessor changes and tunnel device.
* Mon Oct 13 2008 bili@suse.de
- Fixing the build error, implicit memory/string functions.
* Fri Sep 26 2008 bili@suse.de
- Fixing the build error, setting static library for common-gnome.
* Thu Sep 25 2008 bili@suse.de
- Adding the password features.
* Mon Sep 22 2008 bili@suse.de
- Merge properties into NMSettingVPN, and change hashtable type
  for NM r4076.
* Sat Aug 23 2008 bili@suse.de
- Handle the routes by service handler.
* Wed Aug  6 2008 bili@suse.de
- Convert the UI for NM which is at least SVN revision r3761.
* Tue Jun 24 2008 bili@suse.de
- Fix password saving in keyring(bnc#396638).
* Fri May 23 2008 bili@suse.de
- Ensure kill the nm-novellvpn-service and dismiss
  some debug info(bnc#381769).
* Fri May  9 2008 bili@suse.de
- Add the vpn_id support for new NM(bnc#381769).
* Fri Apr 11 2008 bili@suse.de
-  Refactoring novellvpn for NM 0.7.0.
* Thu Mar  6 2008 maw@suse.de
- Don't call autoreconf.
* Tue Feb  5 2008 bili@suse.de
- Update new version again from cvs for supproting NM 0.7.0
* Mon Feb  4 2008 bili@suse.de
- Update to 0.7.0 for supporting NetworkManager 0.7.0.
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-post* errors
- -fPIC --> --with-pic
- spec file cleanup
* Fri Dec  7 2007 bili@suse.de
- Groupname can be set null(#228033).
* Wed Nov 21 2007 bili@suse.de
- Wait the racoon finish start by call sleep(#308739), and
  stop the racoon daemon when disconnect with server(#260433).
* Wed Nov 14 2007 bili@suse.de
- To conform to LSB change the init script for racoon as
  /etc/init.d/racoond and name the convenience symlink
  /usr/sbin/rcracoond. (bugzilla #335263).
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Tue May 15 2007 pgajdos@suse.cz
- removed gnome-icon-theme from BuildRequires [#247450]
* Fri Mar 30 2007 hschaa@suse.de
- Clean up dependencies
* Mon Mar 12 2007 hschaa@suse.de
- Do not use /opt/gnome anymore
* Wed Feb 28 2007 hschaa@suse.de
- Branch of new package NetworkManager-novellvpn-gnome to avoid
  gnome dependencies when using KNetworkManager (#198529)
* Mon Jan  8 2007 tsureshkumar@suse.de
- make racoon to be started if not running while launching vpn.
  (FID: #301078)
* Fri Nov 17 2006 tsureshkumar@suse.de
- make racoon in dispatcher.d as executable
* Tue Sep  5 2006 aj@suse.de
- Cleanup BuildRequires.
* Fri Aug 11 2006 rvinay@suse.de
- added domain name to be passed to NetworkManager
* Thu Jun 22 2006 tsureshkumar@suse.de
- add a dispatcher script to restart racoon for network interface
  changes (#174084)
* Fri Jun 16 2006 gekker@suse.de
- Update translations for ja,pl
* Fri Jun  2 2006 gekker@suse.de
- Add translations for cs,de,es,fi,fr,hu,it,ja,pt_BR,zh_CN,zh_TW
* Tue May  9 2006 rvinay@suse.de
- Fix for empty User/Group Password bug.
- UI Changes to support Chinese.
* Thu May  4 2006 tsureshkumar@suse.de
- Fix for strcpy on the NULL pointer in auth-dialog  (#170987)
- Made routes and routes check box to be non sensitive when nortel is selected. (#170059)
- dangling pointer fix in password dialog.
* Tue Apr 18 2006 rvinay@novell.com
- add libnl-devel to buildrequires
- Calculation of MTU before sending to NetworkManager
- Allow only .pfx file format for certificates (Bug #153084)
* Mon Apr 10 2006 tsureshkumar@suse.de
- pass stderr messages to network-manager.
* Fri Mar 31 2006 tsureshkumar@novell.com
- added mtu to be passed to ip4 config of NM.
* Wed Mar 29 2006 rvinay@suse.de
- Added Certificate support for Ph1 establishment for
  non std gateway.
- Related changes to properties UI and service.
* Mon Mar 20 2006 rml@suse.de
- Require NetworkManager-gnome (Novell bug #158691)
* Thu Mar  2 2006 rvinay@suse.de
- Package resubmitted because of order of submission.
* Thu Mar  2 2006 rvinay@suse.de
- Package resubmitted.
* Tue Feb 28 2006 rvinay@suse.de
- Handling Unencrypted group password
- Edited some UI
- Added pfs group 'off'
* Tue Feb 14 2006 rvinay@suse.de
- Added source code to handle the routes sent from NetworkManager
* Sat Feb 11 2006 rvinay@suse.de
- Added pfs group to the Novellvpn dialog and related changes
* Wed Feb  1 2006 tsureshkumar@suse.de
- fixed DBUS Messages signature mismatches
- removed ExcludeArch for s390[x]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 rml@suse.de
-  Require novell-ipsec-tools, not ipsec-tools
* Thu Jan 19 2006 ro@suse.de
- removed requires for nortelplugins (does not exist)
* Wed Jan 18 2006 rml@suse.de
- Initial checkin of NetworkManager-novellvpn
